#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           patchtools
Version:	2.2.0.20170327.4d689a0
Release:	1.1
License:	GPL-2.0
Summary:	A set of tools for working with SUSE kernel patches
Group:		Development/Tools
URL:		https://github.com/jeffmahoney/jpt
Source:		patchtools-%{version}.tar.xz
BuildRequires:	python
BuildRequires:	xz
BuildRequires:	asciidoc
BuildRequires:  xmlto
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains several tools for working with SUSE kernel patches.

The rules for including patches in the SUSE kernel trees can be cumbersome
and this set of tools automates much of the tedious work.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --install-lib=%{py_sitedir} --install-data=/ --root=${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS README.md
%{_mandir}/man5/patchtools.cfg.5.gz
%{_bindir}/exportpatch
%{_mandir}/man1/exportpatch.1.gz
%{_bindir}/fixpatch
%{_mandir}/man1/fixpatch.1.gz
%{py_libdir}/*

%changelog
* Mon Mar 27 2017 opensuse-packaging@opensuse.org
- Update to version 2.2.0.20170327.4d689a0:
  * exportpatch.py: Add option for first number
  * cleanup: retab
  * fixpatch: add -s option to add .patch suffix
  * PatchOps: get_commit should use git diff-tree --no-renames
  * documentation: add asciidoc format documentation
  * documentation: fix installation of man5
  * documentation: update and embed version
  * project: reorganize code
  * patchtools: remove shbang from module files
  * documentation: add SYNOPSIS section to patchtoos.cfg
* Mon Mar 27 2017 jeffm@suse.com
- Update to v2.1
  - Added documentation
  - Reversioned to match setup.py
  - Fix for renames not working in patch
- Switched to using git source service for automatic updating.
- Dropped patches:
  - 0001-fixpatch-Add-option-for-adding-Patch-Mainline-tag.patch
  - 0002-exportpatch.py-Add-option-for-first-number.patch
* Fri Apr 22 2016 jthumshirn@suse.com
- Add latest upstream changes:
  + 0001-fixpatch-Add-option-for-adding-Patch-Mainline-tag.patch
  + 0002-exportpatch.py-Add-option-for-first-number.patch
* Tue Jun 30 2015 jeffm@suse.com
- Update to v0.12
  - PatchOps: add proper support for kernels v3+
* Sat Feb 14 2015 lduncan@suse.com
- Added spec dependency on xz
* Tue Jul 29 2014 ohering@suse.de
- Update License string to match expected format
* Wed Jan 29 2014 jeffm@suse.com
- Update to v0.11
  - Patch: extract full commit id from commit and use as Git-commit tag
  - exportpatch: don't print UNIX-style From header in exported patch
* Mon Jan  6 2014 jeffm@suse.com
- Update to v0.10
  - exportpatch: added -s/-n to add numeric prefix and .patch suffix
    to output patches
  - PatchOps: sort version tag names by release
  - Config: add another mainline repo
* Thu Nov  8 2012 jeffm@suse.com
-  Initial packaging
